Subject: [NOBBC] another interesting one time a year event

From: Sheryl <[email-masked]>
Date: Wed, 16 Jul 2014 18:08:15 -0700

Hello NOBBC,

I am not suggesting a drive on Saturdayb& and it is not
British, but check this out...B 

I have discovered another once a year event
that looks very interesting. Our club has stopped in Cazadero on some drives
and noticed a collection of Willys vehicles located in "downtown" Cazadero.B 
I think I will let the website speak for the event. B  B 
http://www.willysamerica.com
Based on the itinerary posted, if you are nearby,
it would be fun to go to McDonalds in Petaluma at 10:00 AM, stay for 15 min.
and watch these classic vehicles arrive.
Last year 100 vehicles showed up -
maybe not all in the caravan, but I bet it looks pretty neat.

Dennis and
Sheryl
2 MGA's, 2 MGB's, 1 Jeep CJ5, 1 Jeep Liberty

JOIN THE CARAVAN TO
WILLYS AMERICA!
July 19 - Caravan to Willys America for the Willys America
open house.B Paul Barry has been working hard on adding more Willys and
memorabilia to his museum and it is always a great drive to Cazadero.
Itinerary:
8:15 AM - Leave Trousdale Exit on North bound Highway 280. (This
exit is in Millbrae, meet on the East side parking area after the off ramp).
The exit is about 5 miles north of Hwy 92.
Follow 280 North to 19th Avenue
through San Francisco to the Golden Gate Bridge (Hwy101).
Stop 2: 8:45 AM -
9:15 AM - Golden Gate Bridge vista point. (Located on North East side of
bridge.) Great picture spot!!!
Continue Hwy 101 north to Petaluma Exit West on
to Lakeville Road. Stop at McDonald's at the shopping center on Lakeville Rd.
Stop 3: 10:00 AM - 10:20 AMB  - McDonald's parking lot in Petaluma. (Exit west
on 116/Lakeville St. and look for McDonald's).
Continue on North 101 and exit
at Hwy 116 West (Gravenstein Hwy towards Guerneville. Follow 116 through
Forestville, Monte Rio and turn North onto the Cazadero Hwy. Follow Cazadero
Hwy until you see Willys America, 6152 Cazadero Highway Cazadero, CA 95421.
Contact:
Jim Russell
Phone:B 415-516-4778

email:B [email-masked] 
_______________________________________________
[email-masked]
Archive: http://www.team.net/archive